[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetDefaultColumnWidth

Gets the default width used for the specified column.

## Declaration

Source position: grids.pas line 1098

`protected function TCustomGrid.GetDefaultColumnWidth(`
`Column: Integer`
`):Integer; virtual;`

## Arguments

`Column` |  | Column number. Ignored in the method.

## Function result

Default column width for the specified column number.

## Description

GetDefaultColumnWidth is an Integer function which retrieves the default width for the specified Column in the grid control. GetDefaultColumnWidth is used in the GetColumnWidth method when Columns have not been enabled for the control. It returns the value stored in the DefaultColWidth property.

Use the indexed ColWidths property to set the width for an individual column when the Columns collection has not been enabled. Or, use the Columns collection to maintain column definitions including their editing and display attributes.